%global momorel 14
Summary: ChaSen Perl Module
Name: perl-Text-ChaSen
Version: 1.03
Release: %{momorel}m
Source0: http://www.daionet.gr.jp/~knok/chasen/Text-ChaSen-%{version}.tar.gz
NoSource: 0
Patch0: http://www.daionet.gr.jp/~knok/chasen/ChaSen.pm-1.03-pod-fix.diff 
License:  see "README"
URL: http://www.daionet.gr.jp/~knok/chasen/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/System
Requires: chasen
BuildPreReq: chasen-devel
BuildPrereq: perl >= 5.8.5
Obsoletes: chasen-perl

%description
ChaSen Perl Module.

%prep
%setup -q -n Text-ChaSen-%{version}
%patch0 -p0

%build
CFLAGS="%optflags" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}%{perl_sitearch}/auto/Text/ChaSen/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_mandir}/man3/*
%{perl_sitearch}/Text/ChaSen.pm
%{perl_sitearch}/auto/Text/ChaSen

%changelog
* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.03-14m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.03-13m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.03-12m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.03-11m)
- remove Epoch from BuildPrereq

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.03-10m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.03-9m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.03-8m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.03-7m)
- rebuild against perl-5.8.0

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.3-6k)
- rebuild against for perl-5.6.1

* Tue Apr 10 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.03-3k)
- add a patch
